> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zype.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List States For Country

Return the available state options for a country code. The current implementation only returns results for `US`.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Content Rule Profiles",
    "version": "1.0.0",
    "description": "Content rule profile endpoints for managing reusable profile-based geo and access rules."
  },
  "servers": [
    {
      "url": "https://api.zype.com/"
    }
  ],
  "security": [
    {
      "api_key": []
    }
  ],
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "api_key",
        "in": "query"
      }
    }
  },
  "paths": {
    "/v3/content_rule_profiles/states_for_country": {
      "get": {
        "tags": [
          "Content Rule Profiles"
        ],
        "summary": "List States For Country",
        "description": "Return the available state options for a country code. The current implementation only returns results for `US`.",
        "operationId": "listStatesForCountry",
        "parameters": [
          {
            "name": "country",
            "in": "query",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "ISO alpha-2 country code, for example `US`."
          }
        ],
        "responses": {
          "200": {
            "description": "State options for the selected country.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1v3~1content_rule_profiles~1cities_for_state/get/responses/200/content/application~1json/schema"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1v3~1content_rule_profiles/get/responses/403/content/application~1json/schema"
                }
              }
            }
          }
        }
      }
    }
  }
}
```